"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Context_1 = require("./Context");
var product_api_1 = require("./features/product-api");
var AliClient = /** @class */ (function () {
    function AliClient(apiKey, language, trackingId) {
        if (language === void 0) { language = 'en'; }
        if (trackingId === void 0) { trackingId = ''; }
        this.context = new Context_1.Context();
        this.context.apiKey = apiKey;
        this.context.language = language;
        this.context.trackingId = trackingId;
    }
    Object.defineProperty(AliClient.prototype, "products", {
        get: function () {
            return this._products || (this._products = new product_api_1.ProductApi(this.context));
        },
        enumerable: true,
        configurable: true
    });
    return AliClient;
}());
exports.AliClient = AliClient;
