"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var ajax_1 = require("rxjs/ajax");
var operators_1 = require("rxjs/operators");
var rxjs_1 = require("rxjs");
var Helper = /** @class */ (function () {
    function Helper() {
    }
    Helper.ajaxObservable = function (url) {
        return ajax_1.ajax({
            url: url,
            crossDomain: true,
        }).pipe(operators_1.map(function (res) {
            return res.response;
        }));
    };
    Helper.get = function (url) {
        return ajax_1.ajax({
            url: url,
            responseType: 'text',
        }).pipe(operators_1.map(function (res) {
            return JSON.parse(res.response);
        }), operators_1.catchError(function (error) {
            console.log('error: ', error);
            return rxjs_1.of(error);
        }));
    };
    return Helper;
}());
exports.Helper = Helper;
