import { Observable } from 'rxjs';
import { Context } from '../Context';
import { Product } from '../model/Product';
import { PromotionLinksResult } from '../model/PromotionLinksResult';
export declare class ProductApi {
    private context;
    constructor(context: Context);
    getById(productId: string): Observable<Product>;
    getPromotionLinks(urls: string[], trackingId?: string): Observable<PromotionLinksResult>;
}
